Package org.springframework.security.web.util.matcher

# Class IpAddressMatcher

java.lang.Object
org.springframework.security.web.util.matcher.IpAddressMatcher

All Implemented Interfaces:
  `RequestMatcher`

public final class IpAddressMatcher extends Object implements RequestMatcher
Matches a request based on IP Address or subnet mask matching against the remote address.

Both IPv6 and IPv4 addresses are supported, but a matcher which is configured with an IPv4 address will never match a request which returns an IPv6 address, and vice-versa.

Since:
  3.0.2

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.security.web.util.matcher.RequestMatcher

`RequestMatcher.MatchResult`

## Constructor Summary

Constructors
Constructor
Description
`IpAddressMatcher(String ipAddress)`
Takes a specific IP address or a range specified using the IP/Netmask (e.g.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matches(jakarta.servlet.http.HttpServletRequest request)`
Decides whether the rule implemented by the strategy matches the supplied request.
`boolean`
`matches(String ipAddress)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.security.web.util.matcher.RequestMatcher

`matcher`

## Constructor Details

### IpAddressMatcher

public IpAddressMatcher(String ipAddress)
Takes a specific IP address or a range specified using the IP/Netmask (e.g. 192.168.1.0/24 or 202.24.0.0/14).

Parameters:
  `ipAddress` - the address or range of addresses from which the request must come.

## Method Details

### matches

public boolean matches(jakarta.servlet.http.HttpServletRequest request)
Description copied from interface: `RequestMatcher`
Decides whether the rule implemented by the strategy matches the supplied request.

Specified by:
  `matches` in interface `RequestMatcher`
Parameters:
  `request` - the request to check for a match
Returns:
  true if the request matches, false otherwise

### matches

public boolean matches(String ipAddress)